TRANSPORT_DESTROY_DE(9)

NAME
transport_destroy_device - destroy a removed device

SYNOPSIS

void transport_destroy_device(struct device * dev);

ARGUMENTS

dev
    device to eliminate from the transport class.

DESCRIPTION

This call triggers the elimination of storage associated with the transport classdev. Note: all it really does is relinquish a reference to the classdev. The memory will not be freed until the last reference goes to zero. Note also that the classdev retains a reference count on dev, so dev too will remain for as long as the transport class device remains around.

COPYRIGHT